const getThree = require("/utils/getThree/zfb_getThree")
import { protocolEnum, protocolNavigateTo } from '/utils/common/protocol'

Component({
  data: {
    name: null,
    show: false,
    protocolEnum: protocolEnum
  },
  props: {},
  methods: {
    open(name) {
      this.setData({
        show: true
      })
      if(name) {
        this.setData({
          name
        })
      }
    },
    onClose() {
      this.setData({ show: false })
    },
    gotoInfo() {
      // this.onClose()
    },
    protocol(e) {
      protocolNavigateTo(e.currentTarget.dataset.type)
    },
    getAuth() {
      this.onClose()
      getThree((authResult) => {
        this.triggerEvent('authResult', authResult)
      })
    }
  }
})
